Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.ui
Class PressReleaseButton

    java.lang.Object
      |
      +--quicktime.app.anim.TwoDSprite
            |
            +--quicktime.app.ui.UIElement
                  |
                  +--quicktime.app.ui.QTButton
                        |
                        +--quicktime.app.ui.PressActionButton
                              |
                              +--quicktime.app.ui.PressReleaseButton

All Implemented Interfaces:
  Compositable, DynamicImage, ImageSettable, ImageSpec, Layerable, NotifyListener, Transformable

public class PressReleaseButton
extends PressActionButton

This class represents a button which fires the action event when the button is pressed and when it is released. The user can specify optionally whether the button will also fire the action whilst the button is still pressed. Released actions will only be fired if the mouse is release whilst in the button.

Fields inherited from class quicktime.app.ui.QTButton
`actionListener, pressedImage, releasedImage, rolloverImage`

Fields inherited from class quicktime.app.ui.UIElement
`currentImage, deactiveImage`

Fields inherited from class quicktime.app.anim.TwoDSprite
`label`

Fields inherited from interface quicktime.app.display.Layerable
`kBackMostLayer`

Constructor Summary
`PressReleaseButton(ImageSpec releasedImage, ImageSpec pressedImage, ImageSpec deactiveImage)` Sets the current image of the QTButton and creates a TwoDSprite button
`PressReleaseButton(ImageSpec releasedImage, ImageSpec pressedImage, ImageSpec deactiveImage, ImageSpec rolloverImage)` sets the current image of the QTButton and creates a TwoDSprite button

Method Summary
`void` | `released()` This method is invoked by the button activator when the mouse is released

Methods inherited from class quicktime.app.ui.PressActionButton
`isContinuousPressAction, pressed, setContinuousPressAction`

Methods inherited from class quicktime.app.ui.QTButton
`addActionListener, addMouseTargetListener, entered, exited, fireAction, getDeactiveImage, getPressedImage, getReleasedImage, getRolloverImage, isMouseInButton, isPressed, removeActionListener, removeMouseTargetListener, setDeactiveImage, setPressedImage, setReleasedImage, setRolloverImage`

Methods inherited from class quicktime.app.ui.UIElement
`addedToCompositor, getBounds, isActive, removedFromCompositor, setActive, setCurrentImage, setLocation, setSize`

Methods inherited from class quicktime.app.anim.TwoDSprite
`createSprite, equals, getDescription, getGraphicsMode, getImage, getInitialSize, getLabel, getLayer, getMatrix, getOriginalSize, getParent, getSpriteInfo, getVisible, hitTest, invalidate, isValid, notifyComplete, remove, removeNotify, setDescription, setGraphicsMode, setImage, setImageData, setLabel, setLayer, setMatrix, setNotifier, setVisible, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface quicktime.app.image.Compositable
`getGraphicsMode, setGraphicsMode`

Methods inherited from interface quicktime.app.image.ImageSpec
`getDescription, getImage`

Constructor Detail

### PressReleaseButton

    public PressReleaseButton(ImageSpec releasedImage,
                              ImageSpec pressedImage,
                              ImageSpec deactiveImage)
                       throws QTException

  Sets the current image of the QTButton and creates a TwoDSprite button
  Parameters:
    `releasedImage` - the image to be displayed when the mouse is not pressed
    `pressedImage` - the image to be displayed when the mouse is pressed
    `deactiveImage` - the image to be displayed when the button is deactive

### PressReleaseButton

    public PressReleaseButton(ImageSpec releasedImage,
                              ImageSpec pressedImage,
                              ImageSpec deactiveImage,
                              ImageSpec rolloverImage)
                       throws QTException

  sets the current image of the QTButton and creates a TwoDSprite button
  Parameters:
    `releasedImage` - the image to be displayed when the mouse is not pressed
    `pressedImage` - the image to be displayed when the mouse is pressed
    `deactiveImage` - the image to be displayed when the button is deactive
    `rolloverImage` - the image to be displayed when the button is released and in the mouse.

Method Detail

### released

    public void released()
                  throws QTException

  This method is invoked by the button activator when the mouse is released
  Overrides:
    `released` in class `QTButton`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD